QGIS Application - Feature request #5342
Add a tool to allow continue editing of already existing line geometries
2012-04-11 10:54 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 15042
Description

Subject says it all. Is a common tool in other GIS packages.

History

#1 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2013-08-26 12:18 AM - Bernhard Strobl

Giovanni,

please check if the prolong line tool in digitizing tools plugin (experimental) solves this issue.

#3 - 2013-08-26 04:13 AM - Giovanni Manghi
- Status changed from Open to Closed

- Resolution set to wontfix

Bernhard Strébl wrote:

Giovanni,

please check if the prolong line tool in digitizing tools plugin (experimental) solves this issue.

perfect!

#4 - 2013-08-26 04:16 AM - Nathan Woodrow

Can we reopen this. | think should be a core feature not something we have to get in a plugin.

#5 - 2013-08-26 04:19 AM - Giovanni Manghi
- Status changed from Closed to Open
- Resolution deleted (wontfix)

Nathan Woodrow wrote:
Can we reopen this. | think should be a core feature not something we have to get in a plugin.

Sure. Problem is that there are so many digitizing plugins that | would personally like to see as core tools :)

#6 - 2013-08-26 05:40 AM - Bernhard Strobl

Giovanni Manghi wrote:

Nathan Woodrow wrote:

Can we reopen this. | think should be a core feature not something we have to get in a plugin.

Sure. Problem is that there are so many digitizing plugins that | would personally like to see as core tools :)

We had a discussion on the list last fall [1] that there is a need for more (and advanced) editing tools. Currently they are under development as a user

plugin but | do not mind them being a core plugin as soon we have finished all we have in mind and the whole thing is a bit polished :).

Shouldn't we have a seperate ticket for this make DigitizingTools a core plugin then?

[1] http://osgeo-org.1560.x6.nabble.com/more-advanced-editing-tools-td5019552.html

#7 - 2013-08-26 05:46 AM - Nathan Woodrow

| would say create a ticket called something like "Advanced editing tools" and create a new ticket for each edit tool that we should have as core. You can
assign these tickets as children of the "Advanced editing tools" ticket so they are all grouped together.

We should just aim to make them core features, ignore the core plugin idea.

#8 - 2013-08-26 05:49 AM - Bernhard Strobl

Nathan Woodrow wrote:

We should just aim to make them core features, ignore the core plugin idea.

That will need C++ skills, won'tit? | am afraid | am glad to get my things done in Python :)

#9 - 2013-08-26 05:54 AM - Nathan Woodrow

Bernhard Strobl wrote:

That will need C++ skills, won't it? | am afraid | am glad to get my things done in Python :)

It will but don't worry about that for now :) Lets just get some tickets made and we can come back to it in time. If you have a working implementation in
Python converting it to C++ isn't too hard.
#10 - 2013-08-27 03:27 AM - Giovanni Manghi

[1] http://osgeo-org. 1560.x6.nabble.com/more-advanced-editing-tools-td5019552.html

| get a lot of feedback from training courses and the most asked are:

fill spaces

fill holes, done thanks to Bernhard

remove overlapped areas

open hole/ring + automatic fill with a new polygon (with pop up for attributes)
continue line edit, done thanks to Bernhard

avoid intersection when copying/pasting polygons

#11 - 2013-08-27 03:38 AM - Bernhard Strobl

fill spaces will be finished today and called fill gaps; wait for the next version of the plugin :-)

open hole/ring + automatic fill with a new polygon (with pop up for attributes): this is a combination of two tools, i.e. the standard add ring and my fill ring, |

doubt it is necessary to make an extra one for that.

avoid intersection when copying/pasting polygons: this is a must for me, too, but should be realized in core functionality as both avoid overlaps and

copy/paste are core

#12 - 2013-08-27 04:00 AM - Giovanni Manghi

Bernhard Strobl wrote:

fill spaces will be finished today and called fill gaps; wait for the next version of the plugin :-)

oh great!

open hole/ring + automatic fill with a new polygon (with pop up for attributes): this is a combination of two tools, i.e. the standard add ring and my fill

ring, | doubt it is necessary to make an extra one for that.

of course

avoid intersection when copying/pasting polygons: this is a must for me, too, but should be realized in core functionality as both avoid overlaps and

copy/paste are core

ok

#13 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#14 - 2017-05-02 03:17 PM - Regis Haubourg

New node tool in 2.99 allows to add a node after the line end. It does partially respond as you can only for now add one node. Workaround for full line
extension is to add the node and use the reshape tool to finalize the latest segment.
#15 - 2017-05-02 06:34 PM - Giovanni Manghi

Regis Haubourg wrote:

New node tool in 2.99 allows to add a node after the line end. It does partially respond as you can only for now add one node. Workaround for full
line extension is to add the node and use the reshape tool to finalize the latest segment.

why just 1 node? it is by design or it was overlooked when doing the new node tool?

#16 - 2017-05-02 09:50 PM - Harrissou Santanna

| didn't read all the discussion (in case the request has evolved) but the reshape tool does extend existing linestring. See

https://docs.qgis.org/testing/en/docs/user _manual/working with vector/editing geometry attributes.html#reshape-features or

http://qgis.org/en/site/forusers/visualchangelog216/index.html#feature-extend-linestring-geometries-with-reshape-tool

Hence this issue can be closed...

#17 - 2017-05-03 11:28 AM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to fixed/implemented
